Restore a Backup Target Dataset
POST
/cluster/backups/targets/{id}/restore
const url = 'https://sylve.lan:8181/api/cluster/backups/targets/1/restore';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"destinationDataset":"example","encryptionKey":"example","encryptionKeyFormat":"example","operationId":"example","remoteDataset":"example","restoreNetwork":true,"restoreNodeId":"example","snapshot":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://sylve.lan:8181/api/cluster/backups/targets/1/restore \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "destinationDataset": "example", "encryptionKey": "example", "encryptionKeyFormat": "example", "operationId": "example", "remoteDataset": "example", "restoreNetwork": true, "restoreNodeId": "example", "snapshot": "example" }'Queue an idempotent out-of-band restore from a backup target, optionally on another cluster node
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
Backup Target ID
Header Parameters
Section titled “Header Parameters”Idempotency-Key
string
Idempotency key used when operationId is omitted
Request Body
Section titled “Request Body”Restore Request
Media typeapplication/json
object
destinationDataset
string
encryptionKey
string
encryptionKeyFormat
string
operationId
string
remoteDataset
string
restoreNetwork
boolean
restoreNodeId
string
snapshot
string
Examplegenerated
{ "destinationDataset": "example", "encryptionKey": "example", "encryptionKeyFormat": "example", "operationId": "example", "remoteDataset": "example", "restoreNetwork": true, "restoreNodeId": "example", "snapshot": "example"}Responses
Section titled “Responses”Accepted
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Forbidden
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Backup Target or Restore Node Not Found
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Restore Conflict
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Request Entity Too Large
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Remote Node Failure
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Service Unavailable
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Remote Node Timeout
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}